%define name            wsdl4j
%define version         1.5.2
%define cvsver          1_5_2
%define release         %mkrel 3.3
%define section         free
%define gcj_support     1

# -----------------------------------------------------------------------------

Summary:        Web Services Description Language Toolkit for Java
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Group:          Development/Java
License:        CPL
URL:            http://sourceforge.net/projects/wsdl4j
# cvs -d:pserver:anonymous@wsdl4j.cvs.sourceforge.net:/cvsroot/wsdl4j login
# cvs -z3 -d:pserver:anonymous@wsdl4j.cvs.sourceforge.net:/cvsroot/wsdl4j co -P -r wsdl4j-1_5_2 wsdl4j
Source0:        http://download.sourceforge.net/wsdl4j/wsdl4j-src-%{version}.tar.bz2
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       jaxp_parser_impl, java
BuildRequires:  ant, java-devel
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	ant-junit

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the
creation, representation, and manipulation of WSDL documents describing
services.  This codebase will eventually serve as a reference implementation
of the standard created by JSR110.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

%build
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-junit junit"
%ant -Dbuild.compiler=modern compile javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

# qname.jar
for jar in %{name}.jar ; do
   vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
   install -m 644 build/lib/$jar $RPM_BUILD_ROOT%{_javadir}/$vjar
   pushd $RPM_BUILD_ROOT%{_javadir}
      ln -fs $vjar $jar
   popd
done

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.html readme.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}




%changelog
* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1.5.2-3.3mdv2008.0
+ Revision: 87259
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat


* Fri Mar 16 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.5.2-3.2mdv2007.1
+ Revision: 144754
- rebuild for 2007.1

  + David Walluck <walluck@mandriva.org>
    - Import wsdl4j

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:1.5.2-3.1mdv2007.0
- bump release

* Fri Jun 09 2006 David Walluck <walluck@mandriva.org> 0:1.5.2-2mdv2007.0
- remove qname.jar as it is provided by geronimo-specs

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.5.2-1mdv2007.0
- 1.5.2
- rebuild for libgcj.so.7

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:1.5.1-1.1mdk
- release

* Fri Jun 17 2005 Gary Benson <gbenson@redhat.com> 0:1.5.1-1jpp_1fc
- Build into Fedora.

* Sat Jun 11 2005 Gary Benson <gbenson@redhat.com>
- Remove.tar.bz2files from the tarball.

* Tue Jun 07 2005 Gary Benson <gbenson@redhat.com>
- Add build dependency on ant-junit.

* Fri Jun 03 2005 Fernando Nasser <fnasser@redhat.com> 0:1.5.1-1jpp_1rh
- Merge with upstream for update to 1.5.1

* Fri Jun 03 2005 Fernando Nasser <fnasser@redhat.com> 0:1.5.1-1jpp
- update to 1.5.1

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.5-1jpp
- update to 1.5

* Wed Nov 03 2004 Fernando Nasser <fnasser@redhat.com> 0:4.1.29-2jpp_2rh
- Rebuild

* Tue Aug 31 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-3jpp
- Build with ant-1.6.2

